Loading...
Searching...
No Matches
svn_string_t functions
String handling

## Functions

svn_string_t * | svn_string_create (const char *cstring, apr_pool_t *pool)
| Create a new string copied from the null-terminated C string cstring.
svn_string_t * | svn_string_create_empty (apr_pool_t *pool)
| Create a new, empty string.
svn_string_t * | svn_string_ncreate (const char *bytes, apr_size_t size, apr_pool_t *pool)
| Create a new string copied from a generic string of bytes, bytes, of length size bytes.
svn_string_t * | svn_string_create_from_buf (const svn_stringbuf_t *strbuf, apr_pool_t *pool)
| Create a new string copied from the stringbuf strbuf.
svn_string_t * | svn_string_createf (apr_pool_t *pool, const char *fmt,...)
| Create a new string by printf-style formatting using fmt and the variable arguments, which are as appropriate for apr_psprintf().
svn_string_t * | svn_string_createv (apr_pool_t *pool, const char *fmt, va_list ap)
| Create a new string by printf-style formatting using `fmt` and ap.
svn_boolean_t | svn_string_isempty (const svn_string_t *str)
| Return TRUE if str is empty (has length zero).
svn_string_t * | svn_string_dup (const svn_string_t *original_string, apr_pool_t *pool)
| Return a duplicate of original_string.
svn_boolean_t | svn_string_compare (const svn_string_t *str1, const svn_string_t *str2)
| Return `TRUE` iff str1 and str2 have identical length and data.
apr_size_t | svn_string_first_non_whitespace (const svn_string_t *str)
| Return offset of first non-whitespace character in str, or return str->len if none.
apr_size_t | svn_string_find_char_backward (const svn_string_t *str, char ch)
| Return position of last occurrence of ch in str, or return str->len if no occurrence.

## Detailed Description

## Function Documentation

## svn_string_create_empty()

svn_string_t * svn_string_create_empty | ( | apr_pool_t * | pool | ) |

Create a new, empty string.

Since
  New in 1.8.

## svn_string_createv()

svn_string_t * svn_string_createv | ( | apr_pool_t * | pool,
|  | const char * | fmt,
|  | va_list | ap )

Create a new string by printf-style formatting using `fmt` and ap.

This is the same as svn_string_createf() except for the different way of passing the variable arguments.

References svn_string_createv().

Referenced by svn_string_createv().

## svn_string_dup()

svn_string_t * svn_string_dup | ( | const svn_string_t * | original_string,
|  | apr_pool_t * | pool )

Return a duplicate of original_string.

Since
  Since 1.9, original_string can be NULL in which case NULL will be returned.

References svn_string_dup().

Referenced by svn_string_dup().

## svn_string_ncreate()

svn_string_t * svn_string_ncreate | ( | const char * | bytes,
|  | apr_size_t | size,
|  | apr_pool_t * | pool )

Create a new string copied from a generic string of bytes, bytes, of length size bytes.

bytes is NOT assumed to be null-terminated, but the new string will be.

Since
  Since 1.9, bytes can be NULL if size is zero.